Bug 851516 - RFE: Provide pre-allocated UUID to ImageFactory via template
RFE: Provide pre-allocated UUID to ImageFactory via template
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Perry Myers
Rehana
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 08:28 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 09:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2012-08-24 08:28:05 EDT
Upstream Aeolus is looking to provide reference XML templates,
as a foundation people can then build on top of.

  ie. an Apache HTTPd template, a PostgreSQL template, and others

( further details here: https://lists.fedorahosted.org/pipermail/aeolus-devel/2012-August/012276.html )

For this to work, we'd probably need to add an optional uuid field to the ImageFactory TDL.

Something like this (concept version only):

  <template>
    <name>apache_httpd</name>
    <description>Apache httpd server</description>

    <uuid>00000000-0000-0000-0000-000000000001</uuid>

    <!-- other normal template stuff here -->

  </template>

ImageFactory would also need to be updated to use the UUID, instead of generating a new one.
Comment 1 Justin Clift 2012-08-28 10:06:35 EDT
For productised CloudForms, this doesn't need to go into 1.1.

For upstream though, we probably want this (or something equivalent after discussion) reasonably soon so we can build on top of it.
Comment 2 Ian McLeod 2012-08-31 11:53:52 EDT
Justin,

Beyond simply allowing this field to exist in TDL, and carrying the reference around in all the resulting objects we create, is there anything tangible that the Factory needs to do with it?
Comment 4 Justin Clift 2014-06-09 09:14:11 EDT
Closing as ancient and unlikely to be worked on.

Note You need to log in before you can comment on or make changes to this bug.